/* Style for Posts */

.posts_list {
    position: relative;
}
.posts_list .swiper-wrapper {
    padding: 0px 0 40px;
}


.post_box .post_thumbnail img {
    /*height: 350px;*/
    object-fit: cover;
	aspect-ratio: 1 / 1;
height: auto ! Important;
        width: auto ! Important;
}

.post_box h2 {
	margin-bottom: 32px;
}
.post_box .btn.btn-primary {
    margin-top: 32px;
}



.post_box a:hover,
.post_box a {
	color: #222528;
	text-decoration: none;
}

.post_box h4 {
	font-weight: 500;
	font-size: 22px;
	line-height: 120%;
	margin-bottom: 12px;
	font-family: "Fira Sans", sans-serif;
	 display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}



.post_box .swiper-button-next, 
.post_box .swiper-button-prev {
    top: calc(50% - 75px);
}


@media (max-width: 575px) { 	
.post_box {
    padding-left: 5px;
    padding-right: 5px;
}
}

@media (min-width: 768px) {
.post_box .post_thumbnail img {
    /*height: 337px;*/
}
.button_news.btn_secound {
    position: absolute;
    top: -76px;
    right: 0;
}
.post_box .btn.btn-primary {
    margin-top: 0px;
}
}

@media (min-width: 992px) {
.post_box .post_thumbnail img {
    /*height: 296px;*/
}
.button_news.btn_secound {
    top: -78px;
}
}
@media (min-width: 1200px) {
.post_box .post_thumbnail img {
    /*height: 260px;*/
}
.button_news.btn_secound {
    top: -79px;
}
}
@media (min-width: 1440px) {
.post_box .post_thumbnail img {
    /*height: 294px;*/
}
.button_news.btn_secound {
    top: -81px;
}
}
@media (min-width: 1600px) {
.post_box .post_thumbnail img {
    /*height: 336px;*/
}
.button_news.btn_secound {
    top: -81px;
}
.post_box {
	padding-top: 40px;
	padding-bottom: 40px;
}
}



.post_box .swiper-button-next, 
.post_box .swiper-button-prev {
	background-color: #fff !important;
	border-color: #fff !important;
}
.post_box .swiper-button-prev:after,
.post_box .swiper-button-next:after {
    background: #002C31 !important;
}

.post_box .swiper-button-next:hover, 
.post_box .swiper-button-prev:hover {
	background-color: #2F2FEE !important;
	border-color: #2F2FEE !important;
}
.post_box .swiper-button-prev:hover:after,
.post_box .swiper-button-next:hover:after {
    background: #fff !important;
}

.post_box .swiper-button-next {
	right: 0;
}
.post_box .swiper-button-prev {
	left: 0;
}

@media (max-width: 992px) {
.post_box .swiper-button-next, 
.post_box .swiper-button-prev {
	display: none;
}
}

@media (min-width: 992px) {
.post_box .swiper-button-next {
	right: -20px;
}
.post_box .swiper-button-prev {
	left:  -20px;
}
	
}


@media (min-width: 1440px) {
.post_box .swiper-button-next {
	right: -70px;
}
.post_box .swiper-button-prev {
	left:  -70px;
}
	
}

@media (min-width: 1700px) {
.post_box .swiper-button-next {
	right: -100px;
}
.post_box .swiper-button-prev {
	left:  -100px;
}
	
}


.post_box .swiper-pagination {
  display: grid;
  grid-auto-flow: column;
  grid-auto-columns: 1fr;
  width: calc(100% + 8px); /* kompensacja dla negative margin */
  max-width: 100%;
  position: absolute;
  bottom: 0px;
  left: -4px; /* przesunięcie kompensujące */
  gap: 4px;
  padding: 0px;
  box-sizing: border-box;
}

.post_box .swiper-pagination-bullet {
  height: 6px;
  width: 100%;
  border-radius: 50px;
  background: #C1D4D6;
  opacity: 1;
  transition: all 0.3s ease;

}

.post_box .swiper-pagination-bullet-active {
  background: #002C31 !important;
}




.post_box .post_thumbnail {
  position: relative;
  display: inline-block;
}
.post_box .post_thumbnail img {
	filter: grayscale(50%);
}

.post_box .post_thumbnail::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(0deg, rgba(8, 16, 78, 0.16) 0%, rgba(8, 16, 78, 0.16) 100%), linear-gradient(0deg, rgba(8, 16, 78, 0.60) 0%, rgba(8, 16, 78, 0.60) 100%);
  background-blend-mode: multiply, normal, luminosity;
}


.post_box.no_pad {
	padding-top: 0 !Important;
}